summaryrefslogtreecommitdiff
path: root/tests/lib-core
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2017-01-06 19:49:23 +0000
committerIan Jackson <ijackson@chiark.greenend.org.uk>2017-01-06 19:49:23 +0000
commita5ab9e488522b8fb74a6eadc4a7acf9199e782c4 (patch)
treeef0fc5429cc771663f1066d30707b9943308c42d /tests/lib-core
parent20d3465b51a39337e1117868f80fbc074d3f6b85 (diff)
Shell bug: avoid local=$(....) as it defeats set -e
Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
Diffstat (limited to 'tests/lib-core')
-rw-r--r--tests/lib-core2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/lib-core b/tests/lib-core
index cbfda46..6cdffeb 100644
--- a/tests/lib-core
+++ b/tests/lib-core
@@ -27,7 +27,7 @@ t-set-using-tmp () {
}
t-filter-out-git-hyphen-dir () {
- local pathent=$(type -p git-rev-parse ||:)
+ local pathent; pathent=$(type -p git-rev-parse ||:)
case "$pathent" in '') return ;; esac
pathent=${pathent%/*}
local path=":$PATH:"